# $Revision: 1.15 $, $Date: 2006/08/22 14:46:02 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Email
%define		pnam	Folder
Summary:	Email::Folder - read all the messages from a folder as Email::Simple objects
Summary(pl):	Email::Folder - czytanie wiadomoci z folderu jako obiektw Email::Simple
Name:		perl-Email-Folder
Version:	0.85
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7a8122377ed27317f5fbebfb342c4c2b
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Email-FolderType
BuildRequires:	perl-Email-Simple
BuildRequires:	perl-Test-Simple
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Email::Folder - read all the messages from a folder as Email::Simple
objects.

%description -l pl
Modu Email::Folder czyta wszystkie wiadomoci z folderu jako obiekty
Email::Simple.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes TODO
%{perl_vendorlib}/%{pdir}/*.pm
%{perl_vendorlib}/%{pdir}/%{pnam}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Email-Folder.spec,v $
Revision 1.15  2006/08/22 14:46:02  glen
- rel 1

Revision 1.14  2006/08/09 21:08:02  agaran
- up to 0.85, rel 0.1, builds here

Revision 1.13  2005/01/07 12:15:33  adamg
- release 2 (for fixed deps on ac-i386)

Revision 1.12  2004/12/26 13:41:09  darekr
- updated to 0.84

Revision 1.11  2004/11/03 22:30:20  paladine
- formatting

Revision 1.10  2004/05/09 15:07:18  adamg
- updated to 0.83

Revision 1.9  2004/05/07 00:32:00  ankry
- rel. 2

Revision 1.8  2004/05/06 18:09:33  ankry
- fixed perl-devel BR

Revision 1.7  2004/04/20 10:19:49  ankry
- new bconds

Revision 1.6  2004/04/20 07:35:44  ankry
- license fixes and unification

Revision 1.5  2004/04/11 06:19:51  agaran
 - updated to 0.82

Revision 1.4  2003/09/09 10:24:34  ankry
- spaces -> tab

Revision 1.3  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.2  2003/07/31 21:10:46  qboosh
- pl

Revision 1.1  2003/07/25 19:22:52  radek
- new
